// Package model -----------------------------
// @file      : devicePin.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/1 下午3:05
// -------------------------------------------
package model

type DevicePin struct {
	Model
	DeviceSN string `gorm:"column:device_sn;comment:硬件设备序列号"`
	PinNo    int    `gorm:"column:pin_no;comment:引脚号/led索引位"`
	Status   int    `gorm:"column:status;default:1;comment:引脚状态 1=未使用 2=已使用 3=损坏"`
}

func (d DevicePin) TableName() string {
	return "device_pin"
}
