// Package model -----------------------------
// @file      : operationRecord.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/1 下午4:10
// -------------------------------------------
package model

type OperationRecord struct {
	Model
	Menu            string `gorm:"column:menu;comment:菜单"`
	View            string `gorm:"column:view;comment:页面"`
	Action          string `gorm:"column:action;comment:操作"`
	Detail          string `gorm:"column:detail;comment:操作详情"`
	Remark          string `gorm:"column:remark;comment:备注"`
	OperationTime   string `gorm:"column:operation_time;comment:操作时间"`
	OperatorName    string `gorm:"column:operator_name;comment:操作人"`
	OperatorAccount string `gorm:"column:operator_account;comment:操作人账号"`
}

func (o OperationRecord) TableName() string {
	return "operation_record"
}
